private-test-cloud
2.2510
true
- Getting started
- Authentication
- Scopes and permissions
- Platform Management APIs
- Retrieving partitionGlobalId for API use
- Get Audit Logs
- Download Audit Logs
- Alerts
- External client
Private Test Cloud API guide
Last updated May 11, 2026
Downloads the audit logs for an organization, based on the organization ID, to your machine, in a .CSV format.
API Endpoint
GET https://{yourDomain}/{organizationName}/audit_/api/auditlogs/download
Scopes
Requires one of the following scopes:
- PM.Audit
- PM.Audit.Read
Request Headers
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Note:
To obtain the {access_token}, make sure to authenticate through one of the methods described in Authentication methods.
Query Parameters
| Query param | Data type | Description |
|---|---|---|
language (optional) | string | Specify the available display language, in the shorten form. For example, en, fr, de, ja etc. |
size (optional) | int32 | Specify the download size. |
Responses
200 OK
The list of audit events is downloaded to your machine, in the .csv format.
Example Request
Let's say you gathered all the information needed to build the API call.
- Your
{baseURL}is:https://{yourDomain}/{organizationName} - Your
{access_token}is:1234(for length considerations). - You set the following query params:
language=ensize= 13, to download top 13 entries.
The call should resemble the following example (CURL):
curl --location --request GET ' https://{yourDomain}/{organizationName}/audit_/api/auditlogs/download?language=en&size=13' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
curl --location --request GET ' https://{yourDomain}/{organizationName}/audit_/api/auditlogs/download?language=en&size=13' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'